com.sun.jna.platform.win32

## Enum HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE

- java.lang.Object
- - java.lang.Enum<HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE>
  - - com.sun.jna.platform.win32.HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE>

Enclosing interface:
  HighLevelMonitorConfigurationAPI

    public static enum HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE
    extends java.lang.Enum<HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE>

Describes a monitor's color temperature.

### Nested Class Summary

Nested Classes
`static class` `HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE.ByReference` Defines a Reference to the enum

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`MC_COLOR_TEMPERATURE_10000K` 10,000 kelvins (K).
`MC_COLOR_TEMPERATURE_11500K` 11,500 kelvins (K).
`MC_COLOR_TEMPERATURE_4000K` 4,000 kelvins (K).
`MC_COLOR_TEMPERATURE_5000K` 5,000 kelvins (K).
`MC_COLOR_TEMPERATURE_6500K` 6,500 kelvins (K).
`MC_COLOR_TEMPERATURE_7500K` 7,500 kelvins (K).
`MC_COLOR_TEMPERATURE_8200K` 8,200 kelvins (K).
`MC_COLOR_TEMPERATURE_9300K` 9,300 kelvins (K).
`MC_COLOR_TEMPERATURE_UNKNOWN` Unknown temperature.

### Method Summary

All Methods Static Methods Concrete Methods
`static HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MC_COLOR_TEMPERATURE_UNKNOWN

    public static final HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE MC_COLOR_TEMPERATURE_UNKNOWN

Unknown temperature.

#### MC_COLOR_TEMPERATURE_4000K

    public static final HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE MC_COLOR_TEMPERATURE_4000K

4,000 kelvins (K).

#### MC_COLOR_TEMPERATURE_5000K

    public static final HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE MC_COLOR_TEMPERATURE_5000K

5,000 kelvins (K).

#### MC_COLOR_TEMPERATURE_6500K

    public static final HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE MC_COLOR_TEMPERATURE_6500K

6,500 kelvins (K).

#### MC_COLOR_TEMPERATURE_7500K

    public static final HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE MC_COLOR_TEMPERATURE_7500K

7,500 kelvins (K).

#### MC_COLOR_TEMPERATURE_8200K

    public static final HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE MC_COLOR_TEMPERATURE_8200K

8,200 kelvins (K).

#### MC_COLOR_TEMPERATURE_9300K

    public static final HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE MC_COLOR_TEMPERATURE_9300K

9,300 kelvins (K).

#### MC_COLOR_TEMPERATURE_10000K

    public static final HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE MC_COLOR_TEMPERATURE_10000K

10,000 kelvins (K).

#### MC_COLOR_TEMPERATURE_11500K

    public static final HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE MC_COLOR_TEMPERATURE_11500K

11,500 kelvins (K).

### Method Detail

#### values

    public static HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE c : HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.